Package org.drinkless.tdlib

# Class TdApi.GetConnectedAffiliatePrograms

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ConnectedAffiliatePrograms>
org.drinkless.tdlib.TdApi.GetConnectedAffiliatePrograms

Enclosing class:
  `TdApi`

public static class TdApi.GetConnectedAffiliatePrograms extends TdApi.Function<TdApi.ConnectedAffiliatePrograms>
Returns affiliate programs that were connected to the given affiliate.

Returns `ConnectedAffiliatePrograms`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AffiliateType`
  `affiliate`
  The affiliate to which the affiliate program were connected.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of affiliate programs to return.
  `String`
  `offset`
  Offset of the first affiliate program to return as received from the previous request; use empty string to get the first chunk of results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetConnectedAffiliatePrograms()`
  Default constructor for a function, which returns affiliate programs that were connected to the given affiliate.
  `GetConnectedAffiliatePrograms(TdApi.AffiliateType affiliate, String offset, int limit)`
  Creates a function, which returns affiliate programs that were connected to the given affiliate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### affiliate

    public TdApi.AffiliateType affiliate
    The affiliate to which the affiliate program were connected.

  - ### offset

    public String offset
    Offset of the first affiliate program to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of affiliate programs to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetConnectedAffiliatePrograms

    public GetConnectedAffiliatePrograms()
    Default constructor for a function, which returns affiliate programs that were connected to the given affiliate.

    Returns `ConnectedAffiliatePrograms`

  - ### GetConnectedAffiliatePrograms

    public GetConnectedAffiliatePrograms(TdApi.AffiliateType affiliate, String offset, int limit)
    Creates a function, which returns affiliate programs that were connected to the given affiliate.

    Returns `ConnectedAffiliatePrograms`

    Parameters:
      `affiliate` - The affiliate to which the affiliate program were connected.
      `offset` - Offset of the first affiliate program to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of affiliate programs to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ConnectedAffiliatePrograms>`
    Returns:
      this.CONSTRUCTOR